The following SDK component was not installed: build-tools-21.1.1

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/chenaini119/article/details/43603561

今天,在装android studio的时候遇到的问题

The following SDK component was not installed: build-tools-21.1.1

查阅好多资料

有人解决方法是

   2. 安装时出现错误:There is nothing to install or update. The following SDK component was not installed: build-tools-21.1.1。最好不要按一些论坛所讲的下载build-tools-21.1.1把原有在sdk\build-tools下的build-tools-21.1.2删除,而是更改other.xml 配置文件的内容。一般在

C:\Users\"User_NAME"\.AndroidStudio\config\options \other.xml下,

For using pac file for proxy settings I did this:

<option name="USE_HTTP_PROXY" value="false" />

<option name="USE_PROXY_PAC" value="true" />

<option name="PROXY_HOST" value="proxy.x.com:81/mypac.pac" />

这个网址上说了详细

http://stackoverflow.com/questions/27683678/android-studio-component-installation-not-working-in-proxy-security-server/27691398

还有一个办法是我用的,第一个没效果对我

到我的资源里面下载 build-tools_r21.1.1-windows.zip

解压,然后再你的sdk/build-tools下面新建21.1.1把解压后的东西全部拷贝到21.1.1里面,再次启动android studio就好了。

开始你的开发之旅了就。

下载地址是点击打开链接 http://download.csdn.net/detail/chenaini119/8431167

展开阅读全文

没有更多推荐了,返回首页